package io.gitlab.jfronny.breakme.crash.unsafe;

import io.gitlab.jfronny.breakme.BreakMe;
import io.gitlab.jfronny.breakme.crash.CrashProvider;

import java.io.IOException;

public class WinApiProvider implements CrashProvider {
    private native void CrashWindows_Native();
    @Override
    public void crash() {
        try {
            NativeUtils.loadLibraryFromJar("/native/natives.dll");
            this.CrashWindows_Native();
        } catch (IOException e) {
            BreakMe.LOGGER.error("Could not load windows native", e);
        }
    }
}
